Repository 32bit  Forum
Repository 64bit  Wiki

Flash player a 64 bit!!!

Postate qui per tutte le discussioni legate a Linux in generale.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Gnu/Linux in genere, se l'argomento è specifico alla Slackware usate uno dei forum Slackware o Slackware64.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Re: Flash player a 64 bit!!!

Messaggioda Trotto@81 » sab feb 02, 2013 15:52

E' tutto scritto sul forum nel topic relativo ai driver nvidia di Meska. :)
Avatar utente
Trotto@81
Iper Master
Iper Master
 
Messaggi: 3012
Iscritto il: ven giu 25, 2004 23:00
Località: Monasterace M. (RC)
Nome Cognome: Andrea
Slackware: Slackware64 14.1
Kernel: default
Desktop: KDE 4.10.5

Re: Flash player a 64 bit!!!

Messaggioda ZeroUno » dom feb 03, 2013 11:25

installa i driver nvidia che trovi su slacky e sei apposto.
Devi installare i due pacchetti nvidia-linux e nvidia-vdpau
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4381
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: Flash player a 64 bit!!!

Messaggioda Vito » dom feb 03, 2013 11:32

con i driver scaricati direttamente dal sito nvidia il problema dei puffi si verifica sempre?
"Stat rosa pristina nomina, nomina nuda tenemus." [ Umberto Eco - Il nome della rosa]

"Faber est suae quisque fortunae ." [ Appio Claudio Cieco]
Avatar utente
Vito
Staff
Staff
 
Messaggi: 4131
Iscritto il: mar dic 05, 2006 17:28
Località: Augsburg
Nome Cognome: Vito
Slackware: 64 14.0 multilib
Kernel: 3.2.29-xps
Desktop: KDE 4.10.2
Distribuzione: Linux Mint 17

Re: Flash player a 64 bit!!!

Messaggioda Trotto@81 » dom feb 03, 2013 11:36

Vito ha scritto:con i driver scaricati direttamente dal sito nvidia il problema dei puffi si verifica sempre?

Se compili e installi l'ultimo vdpau no.
Avatar utente
Trotto@81
Iper Master
Iper Master
 
Messaggi: 3012
Iscritto il: ven giu 25, 2004 23:00
Località: Monasterace M. (RC)
Nome Cognome: Andrea
Slackware: Slackware64 14.1
Kernel: default
Desktop: KDE 4.10.5

Re: Flash player a 64 bit!!!

Messaggioda Vito » dom feb 03, 2013 11:40

Trotto@81 ha scritto:Se compili e installi l'ultimo vdpau no.

Perfetto ma dove lo scarico l'ultimo vdpau?
"Stat rosa pristina nomina, nomina nuda tenemus." [ Umberto Eco - Il nome della rosa]

"Faber est suae quisque fortunae ." [ Appio Claudio Cieco]
Avatar utente
Vito
Staff
Staff
 
Messaggi: 4131
Iscritto il: mar dic 05, 2006 17:28
Località: Augsburg
Nome Cognome: Vito
Slackware: 64 14.0 multilib
Kernel: 3.2.29-xps
Desktop: KDE 4.10.2
Distribuzione: Linux Mint 17

Re: Flash player a 64 bit!!!

Messaggioda 414N » dom feb 03, 2013 11:52

Sul suo sito, casualmente il primo cercando libvdpau ;)
SU SBo c'è anche uno SlackBuild che puoi utilizzare per creare il pacchetto.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2881
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: Flash player a 64 bit!!!

Messaggioda Vito » dom feb 03, 2013 11:56

414N ha scritto:Sul suo sito, casualmente il primo cercando libvdpau ;)

Ho chiesto perchè in realtà fosse una versione particolare del driver da scaricare dal sito nvidia.
Grazie per la segnalazione.
"Stat rosa pristina nomina, nomina nuda tenemus." [ Umberto Eco - Il nome della rosa]

"Faber est suae quisque fortunae ." [ Appio Claudio Cieco]
Avatar utente
Vito
Staff
Staff
 
Messaggi: 4131
Iscritto il: mar dic 05, 2006 17:28
Località: Augsburg
Nome Cognome: Vito
Slackware: 64 14.0 multilib
Kernel: 3.2.29-xps
Desktop: KDE 4.10.2
Distribuzione: Linux Mint 17

Re: Flash player a 64 bit!!!

Messaggioda 414N » dom feb 03, 2013 12:04

Se controlli sul sito di libvdpau (un'interfaccia web al repository git, in realtà), puoi vedere lo specifico commit che ha risolto il problema "puffoso" prima del tagging della versione 0.5: "2012-09-04 Implement workarounds for Adobe Flash bugs"
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2881
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: Flash player a 64 bit!!!

Messaggioda ZeroUno » dom feb 03, 2013 17:37

Vito ha scritto:con i driver scaricati direttamente dal sito nvidia il problema dei puffi si verifica sempre?

No, il problema non si verifica, però quello su slacky è pacchettizzato ;).

In ogni caso (quello di slacky o quello proprietario) non è necessario scaricare a parte libvdpau perché il commit di libvdpau è stato importato in quello di nvidia.

In quello di nvidia però mancano gli headers in caso si voglia _compilare_ pacchetti quali mplayer ecc..
In tal caso devi installare libvdau 0.5 (che è su slacky) o nvidia-vdpau presente su slacky.
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4381
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: Flash player a 64 bit!!!

Messaggioda roberto67 » dom feb 03, 2013 20:42

ho disinstallato i drivers nvidia e installato
Codice: Seleziona tutto
libvdpau-0.5-x86_64-1sl.txz  nvidia-linux-310.19-x86_64-1sl.txz  nvidia-vdpau-310.19-x86_64-1sl.txz

ma ora flash è diventato molto più instabile del solito..
Ho reinstallato il plugin flashplayer-plugin-11.2.202.261-x86_64-1alien.txz pensando che bisognasse invertire la procedura applicata prima
Codice: Seleziona tutto
perl -pi.bak -e 's/libvdpau/lixvdpau/g' libflashplayer.so

ma le cose non si sistemano.

Per ora li disinstallo, purtroppo non ho il tempo di studiare questa cosa. Grazie dell'aiuto comunque ;)
roberto67
Packager
Packager
 
Messaggi: 289
Iscritto il: lun set 14, 2009 17:55
Slackware: 14.1 multilib
Desktop: kde

Re: Flash player a 64 bit!!!

Messaggioda ZeroUno » lun feb 04, 2013 10:24

libvdpau e nvidia-vdpau collimano. o l'uno o l'altro.
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4381
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: Flash player a 64 bit!!!

Messaggioda roberto67 » lun feb 04, 2013 14:33

ZeroUno ha scritto:libvdpau e nvidia-vdpau collimano. o l'uno o l'altro.

allora bisognerebbe correggere qui http://www.slacky.eu/asche64/pkgs/index ... 6&pkg=2710 dove sono citate entrambe.
Installando solo una delle due flash non mi crasha più :)

edit: chiedo venia. vedo solo ora che nelle tue note dici espressamente di installare uno o l'altro ;)
roberto67
Packager
Packager
 
Messaggi: 289
Iscritto il: lun set 14, 2009 17:55
Slackware: 14.1 multilib
Desktop: kde

Re: Flash player a 64 bit!!!

Messaggioda ZeroUno » lun feb 04, 2013 14:38

C'è un problema nel software che gestisce la pagina.
In verità la dipendenza è
libvdpau >= 0.5 | nvidia-vdpau >= 310.19
(v. lo slack-required)
però il sito non gestisce tale situazione.
però era specificato nella pagina
the package does NOT contains vdpau libraries. You need to install
the libvdapu 0.5 package or nvidia-vdpau proprietary libraries

Però in effetti è troppo poco.
Vediamo che riesco a fare.

edit: l'ho sistemato. Non funziona benissimo, ma almeno si capisce che non ci vogliono entrambi.

comunque sono state aperte diverse discussioni su questo punto prima che nvidia risolvesse.
Quella che possiamo chiamare "ufficiale" e quella in cui si parla di questi pacchetti presenti su slacky è flash in blu
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4381
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: Flash player a 64 bit!!!

Messaggioda roberto67 » lun feb 04, 2013 20:26

ZeroUno ha scritto:edit: l'ho sistemato. Non funziona benissimo, ma almeno si capisce che non ci vogliono entrambi.

grazie, era una cosa che ci voleva :)

ZeroUno ha scritto:comunque sono state aperte diverse discussioni su questo punto prima che nvidia risolvesse.
Quella che possiamo chiamare "ufficiale" e quella in cui si parla di questi pacchetti presenti su slacky è flash in blu

grazie del link, :thumbright: anche se mi pare proprio che i puffi siano spariti
roberto67
Packager
Packager
 
Messaggi: 289
Iscritto il: lun set 14, 2009 17:55
Slackware: 14.1 multilib
Desktop: kde

Re: Flash player a 64 bit!!!

Messaggioda Trotto@81 » dom feb 10, 2013 16:22

Uscita sotto release 262. :p
Avatar utente
Trotto@81
Iper Master
Iper Master
 
Messaggi: 3012
Iscritto il: ven giu 25, 2004 23:00
Località: Monasterace M. (RC)
Nome Cognome: Andrea
Slackware: Slackware64 14.1
Kernel: default
Desktop: KDE 4.10.5

PrecedenteProssimo

Torna a Gnu/Linux in genere

Chi c’è in linea

Visitano il forum: Nessuno e 17 ospiti